Manjaro配置Metasploit

简介

最近更换了Manjaro作为我的主力系统,在安装常用的渗透测试工具的时候,安装msf遇到了一些问题

安装

Arch系的pacman之强早有所耳闻,但是没想到有这么强,Msf都可以直接Pacman

sudo pacman -S metasploit

至此,msf就成功安装了

配置

问题就出来了msf数据库的配置上,在安装好postgresql之后,仍然无法通过msfdb进行init

Missing requirement: 'bundle' does not appear to be installed or 'bundle' is not in the environment path
[!] You need to have postgres installed or specify a database with --connection-string

在多次配置后无果,搜索发现可以使用BlackArch的源来进行配置,尝试后成功

加入Blackarch的源

sudo vim /etc/pacman.conf

在后面加入

[blackarch]
SigLevel = Optional TrustAll
Server = https://mirrors.ustc.edu.cn/blackarch/$repo/os/$arch

然后更新源

sudo pacman -Syy

安装blackarch的msfdb

sudo pacman -S msfdb

因为官方源中是没有msfdb这个包的,所以在加入了blackarch之后才可以装,安装结束后会有一个msfdb-blackarch
我们直接使用这个脚本来初始化

sudo msfdb-blackarch init

注意,blackarch的msfdb是需要sudu权限的
在成功Init后,我们即可start

sudo msfdb-blackarch start                                                                                                                                             
[!] WARNING: Database already started

进入msf中查看数据库链接状态

msf6 > db_status 
[*] Connected to msf. Connection type: postgresql.
添加新评论